You are not registered yet. Please click here to register!


 
 
plc storereviewsdownloads
This board is for PLC Related Q&A ONLY. Please DON'T use it for advertising, etc.
 
Try our online PLC Simulator- FREE.  Click here now to try it.

---------->>>>>Get FREE PLC Programming Tips

New Here? Please read this important info!!!


Go Back   PLCS.net - Interactive Q & A > PLCS.net - Interactive Q & A > LIVE PLC Questions And Answers

PLC training tools sale

Reply
 
Thread Tools Display Modes
Old December 12th, 2013, 11:04 AM   #1
ebolbol
Member
United States

ebolbol is offline
 
Join Date: Apr 2011
Location: CA
Posts: 151
FactoryTalk View SE 7.0 to FT View SE 5.10 Problems

Hello gents,

Have you ever ran into this? You have two versions of FactoryTalk View SE, one is 7.0 and the other one is a much older version 5.10

You've developed a whole bunch of new screens in the 7.0 you would like to export to the 5.10 and during the import, 5.10 gives you a whole bunch of import errors. When you try the "Add component into app" method (i.e. *.gfx files) you also get errors.

Yes why don't I just upgrade the 5.10 to 7.0... well... logistically it's complicated... as a main supervisory workstation, I'm not able to disable that machine any time soon... but long term, upgrade is in order.

any thoughts?

thanks
  Reply With Quote
Old December 12th, 2013, 11:15 AM   #2
DBLD99
Member
United States

DBLD99 is offline
 
Join Date: Oct 2003
Location: USA
Posts: 206
It is pretty standard with most software you can take stuff that is created in a new version backwards. You could create the screens in 5.10 - then import them into 7.00.
  Reply With Quote
Old December 12th, 2013, 11:30 AM   #3
ebolbol
Member
United States

ebolbol is offline
 
Join Date: Apr 2011
Location: CA
Posts: 151
FactoryTalk View SE 7.0 to FT View SE 5.10 compatibility

Quote:
Originally Posted by DBLD99 View Post
It is pretty standard with most software you can take stuff that is created in a new version backwards. You could create the screens in 5.10 - then import them into 7.00.
yeah... at the time I made the screens I didn't think they would be as heavily used as they have proved, so I didn't build them on the main supervisory machine which is the 5.10... had I but known, I definitely would have done it on the 5.10 and exported them to the 7.0... now it's too dreadful to have to do all that again manually

there has got to be a way to convert the xml to be compatible with 5.10

Last edited by ebolbol; December 12th, 2013 at 11:41 AM. Reason: error
  Reply With Quote
Old December 12th, 2013, 10:43 PM   #4
leighigh
Member
United States

leighigh is offline
 
Join Date: Dec 2012
Location: Colorado
Posts: 77
Have you tried just opening the 5.1 with 7.0 then just copy the new screens to your Appication. Them When your done just save your run file as a 5.1 ver. then down load it to the HMI.
  Reply With Quote
Old December 13th, 2013, 12:39 AM   #5
rdrast
Lifetime Supporting Member
United States

rdrast is offline
 
rdrast's Avatar
 
Join Date: Apr 2003
Location: South Carolina Lowcountry
Posts: 5,110
Quote:
Originally Posted by leighigh View Post
Have you tried just opening the 5.1 with 7.0 then just copy the new screens to your Appication. Them When your done just save your run file as a 5.1 ver. then down load it to the HMI.
SE isn't ME. It doesn't work that way.

The easiest thing is probably going to be simply recreate the displays in 5.1, and always edit on that platform from now on.
__________________
------------------------------------
How to ask questions the SMART Way!

Look First, Ask Second!

  Reply With Quote
Old December 13th, 2013, 12:56 AM   #6
ADoozer
Member
Australia

ADoozer is offline
 
Join Date: May 2013
Location: Albury,NSW
Posts: 40
What errors are you getting?

My assumption is the errors relate to old/missing controls in V5.10... If this is the case you could try manually massaging the export xml file to "fix" the issue.

I have done this a few times while migrating between different production system versions (albeit never from V7). It's a pain in the *** but with a bit of playing it can be done.

(Ps I use XML Copy Editor for manipulating the XML)

Regards Dave
  Reply With Quote
Old December 13th, 2013, 01:18 AM   #7
ebolbol
Member
United States

ebolbol is offline
 
Join Date: Apr 2011
Location: CA
Posts: 151
Quote:
Originally Posted by leighigh View Post
Have you tried just opening the 5.1 with 7.0 then just copy the new screens to your Appication. Them When your done just save your run file as a 5.1 ver. then down load it to the HMI.
leighigh,

Well there is no HMI downloading involved here as this is Site Edition "stand-alone" that is resident on the workstation(tower) that it runs on.

I think once you open an older version, or copy it into the new application, it converts everything to the newer file structure and can't revert back. I will try what you said... I will copy a couple of GFX's from 5.1 to 7.0 folder in explorer and try to open from within Studio to see what it does...
  Reply With Quote
Old December 13th, 2013, 01:23 AM   #8
ebolbol
Member
United States

ebolbol is offline
 
Join Date: Apr 2011
Location: CA
Posts: 151
Quote:
Originally Posted by rdrast View Post
SE isn't ME. It doesn't work that way.

The easiest thing is probably going to be simply recreate the displays in 5.1, and always edit on that platform from now on.

rdrast,

I think you're right... even though RA can easily make newer versions backward compatible, it's a matter of economics and $$$ I'm sure... they want people to upgrade, which is fine.
  Reply With Quote
Old December 13th, 2013, 11:59 AM   #9
ebolbol
Member
United States

ebolbol is offline
 
Join Date: Apr 2011
Location: CA
Posts: 151
FactoryTalk View SE 7.0 to FT View SE 5.10 compatibility

Quote:
Originally Posted by ADoozer View Post
What errors are you getting?

My assumption is the errors relate to old/missing controls in V5.10... If this is the case you could try manually massaging the export xml file to "fix" the issue.

I have done this a few times while migrating between different production system versions (albeit never from V7). It's a pain in the *** but with a bit of playing it can be done.

(Ps I use XML Copy Editor for manipulating the XML)

Regards Dave
ADoozer,

I have Notepad++ and it allows me to edit XML

so initially I thought it was an easy change, when I got msg1 "Gfx-SE6.xsd' schema could not be found." I simply opened the XML file and changed SE6 to SE4 because that's how 5.10 xmls have. After doing that, I got msg2??? (both msg's attached)
Attached Files
File Type: txt error msg 1.txt (538 Bytes, 141 views)
File Type: txt error msg 2.txt (1.8 KB, 90 views)

Last edited by ebolbol; December 13th, 2013 at 12:00 PM. Reason: spelling
  Reply With Quote
Reply
Jump to Live PLC Question and Answer Forum

Bookmarks


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump

Similar Topics
Thread Thread Starter Forum Replies Last Post
Pop-Up Trending using FT View SE 5.00 specialkc LIVE PLC Questions And Answers 1 July 17th, 2014 09:24 AM
FactoryTalk View SE VBA user form rifem LIVE PLC Questions And Answers 2 October 28th, 2012 12:08 PM
FT View SE Display protection clownbrother2 LIVE PLC Questions And Answers 0 March 15th, 2012 01:07 PM
Scanner and FT View SE SMOKE LIVE PLC Questions And Answers 0 January 9th, 2009 02:11 PM
RSLOGIX5000 & FT VIEW SE SLOW BOOT introl LIVE PLC Questions And Answers 0 May 21st, 2008 06:45 PM


All times are GMT -5. The time now is 06:03 AM.


.